---
name: omk-industrial-control-loop
description: Industrial automation and feedback-control inspired review for AI workflows, agents, orchestration loops, state machines, and reliability.
---

## Control-loop Review

Use this for agent orchestration, workflow automation, state machines, retry loops, feedback loops, and industrial automation inspired systems.

## Check

- controller goal
- observed signal
- actuator/tool action
- feedback delay
- saturation
- oscillation
- runaway retry
- missing stop condition
- unsafe fallback
- state transition ambiguity
- human override path

## Output

```txt
Loop:
Signal:
Actuator:
Failure mode:
Stop condition:
Recommended fix:
```
